Uses of Class
io.helidon.common.http.Http.Method
Packages that use Http.Method
Package
Description
HTTP APIs and implementations usable by both server and client side of the HTTP story.
Testing support for HTTP.
Common classes for accessing JSON based REST APIs of third party systems.
Vault integration.
Common classes for Vault integration.
HTTP/2 types common for client and server.
HTTP/2 WebServer.
Unit and integration testing support for Níma WebServer and JUnit 5.
WebClient APIs shared by all types of clients.
WebServer HTTP specific APIs.
WebServer HTTP/1.1 specific APIs.
Níma WebServer tracing support.
A reactive client for rest calls.
Reactive web server API.
HTTP/2 support for Helidon webserver.
-
Uses of Http.Method in io.helidon.common.http
Fields in io.helidon.common.http declared as Http.MethodModifier and TypeFieldDescriptionstatic final Http.MethodHttp.Method.DELETEThe DELETE method requests that the origin server delete the resource identified by the Request-URI.static final Http.MethodHttp.Method.GETThe GET method means retrieve whatever information (in the form of an entity) is identified by the Request-URI.static final Http.MethodHttp.Method.HEADThe HEAD method is identical toGETexcept that the server MUST NOT return a message-body in the response.static final Http.MethodHttp.Method.OPTIONSThe OPTIONS method represents a request for information about the communication options available on the request/response chain identified by the Request-URI.static final Http.MethodHttp.Method.PATCHThe PATCH method as described in RFC 5789 is used to perform an update to an existing resource, where the request payload only has to contain the instructions on how to perform the update.static final Http.MethodHttp.Method.POSTThe POST method is used to request that the origin server acceptedTypes the entity enclosed in the request as a new subordinate of the resource identified by the Request-URI in the Request-Line.static final Http.MethodHttp.Method.PUTThe PUT method requests that the enclosed entity be stored under the supplied Request-URI.static final Http.MethodHttp.Method.TRACEThe TRACE method is used to invoke a remote, application-layer loop- back of the request message.Methods in io.helidon.common.http that return Http.MethodModifier and TypeMethodDescriptionstatic Http.MethodCreate new HTTP request method instance from the provided name.HttpPrologue.method()HTTP method of this request.Methods in io.helidon.common.http that return types with arguments of type Http.MethodModifier and TypeMethodDescriptionHttp.MethodPredicate.acceptedMethods()Methods accepted by this predicate, may be empty.Methods in io.helidon.common.http with parameters of type Http.MethodModifier and TypeMethodDescriptionstatic HttpPrologueHttpPrologue.create(String rawProtocol, String protocol, String protocolVersion, Http.Method httpMethod, UriPath uriPath, UriQuery uriQuery, UriFragment uriFragment) Create a new prologue with decoded values.static HttpPrologueHttpPrologue.create(String rawProtocol, String protocol, String protocolVersion, Http.Method httpMethod, String unresolvedPath, boolean validatePath) Create a new prologue.static Http.MethodPredicateHttp.Method.predicate(Http.Method... methods) Create a predicate for the provided methods.Method parameters in io.helidon.common.http with type arguments of type Http.MethodModifier and TypeMethodDescriptionstatic Http.MethodPredicateHttp.Method.predicate(Collection<Http.Method> methods) Create a predicate for the provided methods. -
Uses of Http.Method in io.helidon.common.testing.http.junit5
Methods in io.helidon.common.testing.http.junit5 with parameters of type Http.MethodModifier and TypeMethodDescriptionvoidSocketHttpClient.request(Http.Method method) Sends a request to the server.voidSocketHttpClient.request(Http.Method method, String payload) Sends a request to the server.voidSocketHttpClient.request(Http.Method method, String path, String payload) Sends a request to the server.voidSends a request to the server.SocketHttpClient.sendAndReceive(Http.Method method, String payload) A helper method that sends the given payload with the provided method to the server.SocketHttpClient.sendAndReceive(String path, Http.Method method, String payload) A helper method that sends the given payload at the given path with the provided method and headers to the server.SocketHttpClient.sendAndReceive(String path, Http.Method method, String payload, Iterable<String> headers) A helper method that sends the given payload at the given path with the provided method to the server. -
Uses of Http.Method in io.helidon.integrations.common.rest
Methods in io.helidon.integrations.common.rest with parameters of type Http.MethodModifier and TypeMethodDescriptionprotected voidRestApiBase.addHeaders(WebClientRequestBuilder requestBuilder, String path, ApiRequest<?> request, Http.Method method, String requestId) Add HTTP headers.protected voidRestApiBase.addQueryParams(WebClientRequestBuilder requestBuilder, String path, ApiRequest<?> request, Http.Method method, String requestId) Add HTTP query parameters.protected <T> Single<T>RestApiBase.emptyResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ResponseBuilder<?, T, ?> responseBuilder) Empty response, may be because of aHttp.Status.NOT_FOUND_404, or some other status, such asHttp.Status.NOT_MODIFIED_304.protected <T extends ApiResponse>
Single<T>RestApiBase.errorResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response) Create an error response.protected <R,T extends ApiOptionalResponse<R>>
Single<T>RestApiBase.handleBytesResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ApiOptionalResponse.BuilderBase<?, T, byte[], R> responseBuilder) Handle bytes response for optional bytes entity.protected <T extends ApiEntityResponse>
Single<T>RestApiBase.handleJsonResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ApiEntityResponse.Builder<?, T, JsonObject> responseBuilder) Reads JsonObject from response entity and either calls thejsonOkResponseorerrorResponsedepending on its success.protected <R,T extends ApiOptionalResponse<R>>
Single<T>RestApiBase.handleOptionalJsonResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) Handle response for optional JSON entity.protected <R,T extends ApiOptionalResponse<R>>
Single<T>RestApiBase.handlePublisherResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ApiOptionalResponse.BuilderBase<?, T, Multi<DataChunk>, R> responseBuilder) Handle response for optional publisher entity.protected <T extends ApiResponse>
Single<T>RestApiBase.handleResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ApiResponse.Builder<?, T> responseBuilder) Handle response for a request not expecting an entity.<T extends ApiResponse>
Single<T>RestApi.invoke(Http.Method method, String path, ApiRequest<?> request, ApiResponse.Builder<?, T> responseBuilder) Invoke a request that is not expected to yield an entity.<T extends ApiResponse>
Single<T>RestApiBase.invoke(Http.Method method, String path, ApiRequest<?> request, ApiResponse.Builder<?, T> responseBuilder) <T extends ApiResponse>
Single<T>RestApi.invokeBytesRequest(Http.Method method, String path, ApiRequest<?> request, Flow.Publisher<DataChunk> byteRequest, ApiResponse.Builder<?, T> responseBuilder) The request media type should be provided in request, falls back toMediaTypes.APPLICATION_OCTET_STREAM.<T extends ApiResponse>
Single<T>RestApiBase.invokeBytesRequest(Http.Method method, String path, ApiRequest<?> request, Flow.Publisher<DataChunk> byteRequest, ApiResponse.Builder<?, T> responseBuilder) <R,T extends ApiOptionalResponse<R>>
Single<T>RestApi.invokeBytesResponse(Http.Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, byte[], R> responseBuilder) Invoke API call that is expected to return bytes.<R,T extends ApiOptionalResponse<R>>
Single<T>RestApiBase.invokeBytesResponse(Http.Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, byte[], R> responseBuilder) <R,T extends ApiOptionalResponse<R>>
Single<T>RestApi.invokeOptional(Http.Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) Invoke a request that may yield an entity.<R,T extends ApiOptionalResponse<R>>
Single<T>RestApiBase.invokeOptional(Http.Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, JsonObject, R> responseBuilder) <R,T extends ApiOptionalResponse<R>>
Single<T>RestApi.invokePublisherResponse(Http.Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, Multi<DataChunk>, R> responseBuilder) Invoke API call that is expected to return bytes as a publisher.<R,T extends ApiOptionalResponse<R>>
Single<T>RestApiBase.invokePublisherResponse(Http.Method method, String path, ApiRequest<?> request, ApiOptionalResponse.BuilderBase<?, T, Multi<DataChunk>, R> responseBuilder) <T extends ApiEntityResponse>
Single<T>RestApi.invokeWithResponse(Http.Method method, String path, ApiRequest<?> request, ApiEntityResponse.Builder<?, T, JsonObject> responseBuilder) Invoke a request that is expected to yield an entity.<T extends ApiEntityResponse>
Single<T>RestApiBase.invokeWithResponse(Http.Method method, String path, ApiRequest<?> request, ApiEntityResponse.Builder<?, T, JsonObject> responseBuilder) protected booleanRestApiBase.isEntityExpected(String path, ApiRequest<?> request, Http.Method method, String requestId, Http.Status status) This method is only called for methods that return an optional entity.protected booleanRestApiBase.isSuccess(String path, ApiRequest<?> request, Http.Method method, String requestId, Http.Status status) Provide information whether the response is a success response for requests with optional entity.protected <T> TRestApiBase.jsonOkResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, JsonObject json, ResponseBuilder<?, T, JsonObject> responseBuilder) Builds the response using the response builder provided.protected <T extends ApiResponse>
Single<T>RestApiBase.noEntityOkResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ApiResponse.Builder<?, T> responseBuilder) Create a response for no entity.protected ThrowableRestApiBase.readError(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response) Read error with no entity (content length set to 0).protected ThrowableRestApiBase.readError(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, JsonObject errorObject) Read error with a JSON entity.protected ThrowableRestApiBase.readError(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, String entity) Read error with an entity that failed to be parsed into a JSON object.protected ThrowableRestApiBase.readErrorFailedEntity(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, Throwable throwable) Read error information when we failed to read resposen entity.protected Supplier<Single<WebClientResponse>>RestApiBase.requestBytesPayload(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientRequestBuilder requestBuilder, Flow.Publisher<DataChunk> publisher) Create a supplier for a response with publisher request.protected Supplier<Single<WebClientResponse>>RestApiBase.requestJsonPayload(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientRequestBuilder requestBuilder, JsonObject jsonObject) Create a supplier for a response with JSON request.protected Supplier<Single<WebClientResponse>>RestApiBase.requestPayload(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientRequestBuilder requestBuilder) Create a supplier for a response.protected Supplier<Single<WebClientResponse>>RestApiBase.responseSupplier(Http.Method method, String path, ApiRequest<?> request, String requestId) Create a response supplier from the request.protected Single<WebClientRequestBuilder>RestApiBase.updateRequestBuilder(WebClientRequestBuilder requestBuilder, String path, ApiRequest<?> request, Http.Method method, String requestId) Update request builder with no request payload.protected Single<WebClientRequestBuilder>RestApiBase.updateRequestBuilder(WebClientRequestBuilder requestBuilder, String path, ApiRequest<?> request, Http.Method method, String requestId, JsonObject jsonObject) Update request builder with no request payload.protected Single<WebClientRequestBuilder>RestApiBase.updateRequestBuilderBytesPayload(WebClientRequestBuilder requestBuilder, String path, ApiRequest<?> request, Http.Method method, String requestId) Update request builder with publisher request payload.protected Single<WebClientRequestBuilder>RestApiBase.updateRequestBuilderCommon(WebClientRequestBuilder requestBuilder, String path, ApiRequest<?> request, Http.Method method, String requestId) Update request builder used by all default implementation inRestApiBase. -
Uses of Http.Method in io.helidon.integrations.vault
Fields in io.helidon.integrations.vault declared as Http.MethodModifier and TypeFieldDescriptionstatic final Http.MethodVault.LISTHTTPLISTmethod used by several Vault engines. -
Uses of Http.Method in io.helidon.integrations.vault.auths.common
Methods in io.helidon.integrations.vault.auths.common with parameters of type Http.MethodModifier and TypeMethodDescriptionprotected <T> Single<T>VaultRestApi.emptyResponse(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, ResponseBuilder<?, T, ?> responseBuilder) protected ThrowableVaultRestApi.readError(String path, ApiRequest<?> request, Http.Method method, String requestId, WebClientResponse response, JsonObject entity) -
Uses of Http.Method in io.helidon.nima.http2
Methods in io.helidon.nima.http2 that return Http.MethodMethods in io.helidon.nima.http2 with parameters of type Http.MethodModifier and TypeMethodDescriptionHttp2Headers.method(Http.Method method) HTTP method to be used. -
Uses of Http.Method in io.helidon.nima.http2.webserver
Methods in io.helidon.nima.http2.webserver with parameters of type Http.MethodModifier and TypeMethodDescriptionstatic Http2RouteHttp2Route.route(Http.Method method, String path, Handler handler) Create a new HTTP/2 only route. -
Uses of Http.Method in io.helidon.nima.testing.junit5.webserver
Methods in io.helidon.nima.testing.junit5.webserver with parameters of type Http.Method -
Uses of Http.Method in io.helidon.nima.webclient
Methods in io.helidon.nima.webclient with parameters of type Http.MethodModifier and TypeMethodDescriptionHttpClient.method(Http.Method method) Create a request for a method. -
Uses of Http.Method in io.helidon.nima.webserver.http
Methods in io.helidon.nima.webserver.http that return Http.MethodModifier and TypeMethodDescriptionGeneratedHandler.method()Deprecated.HTTP Method of this handler.Methods in io.helidon.nima.webserver.http with parameters of type Http.MethodModifier and TypeMethodDescriptionHttpRoute.Builder.methods(Http.Method... methods) HTTP methods this route should handle.default HttpRouting.BuilderHttpRouting.Builder.route(Http.Method method, PathMatcher pathMatcher, Handler handler) default HttpRouting.BuilderHttpRouting.Builder.route(Http.Method method, Handler handler) default HttpRouting.BuilderHttpRouting.Builder.route(Http.Method method, String pathPattern, Handler handler) default HttpRouting.BuilderHttpRouting.Builder.route(Http.Method method, String pathPattern, Consumer<ServerRequest> handler) default HttpRouting.BuilderHttpRouting.Builder.route(Http.Method method, String pathPattern, Function<ServerRequest, ?> handler) default HttpRouting.BuilderHttpRouting.Builder.route(Http.Method method, String pathPattern, Supplier<?> handler) default HttpRulesHttpRules.route(Http.Method method, PathMatcher pathMatcher, Handler handler) Add a route.default HttpRulesHttpRules.route(Http.Method method, Handler handler) Add a route.default HttpRulesHttpRules.route(Http.Method method, String pathPattern, Handler handler) Add a route.default HttpRulesHttpRules.route(Http.Method method, String pathPattern, Consumer<ServerRequest> handler) Add a route.default HttpRulesHttpRules.route(Http.Method method, String pathPattern, Function<ServerRequest, ?> handler) Add a route.default HttpRulesHttpRules.route(Http.Method method, String pathPattern, Supplier<?> handler) Add a route.Method parameters in io.helidon.nima.webserver.http with type arguments of type Http.MethodModifier and TypeMethodDescriptionHttpRoute.Builder.methods(Predicate<Http.Method> methodPredicate) Method predicate to use.default HttpRouting.BuilderHttpRouting.Builder.route(Predicate<Http.Method> methodPredicate, PathMatcher pathMatcher, Handler handler) default HttpRulesHttpRules.route(Predicate<Http.Method> methodPredicate, PathMatcher pathMatcher, Handler handler) Add a route. -
Uses of Http.Method in io.helidon.nima.webserver.http1
Methods in io.helidon.nima.webserver.http1 with parameters of type Http.MethodModifier and TypeMethodDescriptionstatic Http1RouteHttp1Route.route(Http.Method method, String path, Handler handler) Create an HTTP/1 specific route. -
Uses of Http.Method in io.helidon.nima.webserver.tracing
Methods in io.helidon.nima.webserver.tracing with parameters of type Http.MethodModifier and TypeMethodDescriptionbooleanPathTracingConfig.matches(Http.Method method, UriPath path) Method used by Helidon to check if this tracing is valid for the specified method and path. -
Uses of Http.Method in io.helidon.reactive.webclient
Methods in io.helidon.reactive.webclient that return Http.MethodModifier and TypeMethodDescriptionWebClientRequestBuilder.ClientRequest.method()Returns an HTTP request method.WebClientServiceRequest.method()Returns an HTTP request method.Methods in io.helidon.reactive.webclient with parameters of type Http.MethodModifier and TypeMethodDescriptionWebClient.method(Http.Method method) Create a request builder for a method based on method parameter. -
Uses of Http.Method in io.helidon.reactive.webserver
Methods in io.helidon.reactive.webserver that return Http.MethodModifier and TypeMethodDescriptionBareRequest.method()Gets an HTTP request method.ServerRequest.method()Returns an HTTP request method.Methods in io.helidon.reactive.webserver with parameters of type Http.MethodModifier and TypeMethodDescriptionRequestPredicate.isOfMethod(Http.Method... methods) Accepts only requests with one of specified HTTP methods.static Http1RouteHttp1Route.route(Http.Method method, String path, Handler handler) Create an HTTP/1 specific route.static Http1RouteHttp1Route.route(PathMatcher pathMatcher, Handler handler, Http.Method... methods) Create an HTTP/1.1 specific route.static HttpRouteHttpRoute.route(Http.Method method, String path, Handler handler) Create HTTP route.Method parameters in io.helidon.reactive.webserver with type arguments of type Http.MethodModifier and TypeMethodDescriptionRouting.Builder.anyOf(Iterable<Http.Method> methods, Handler... requestHandlers) Routing.Builder.anyOf(Iterable<Http.Method> methods, PathMatcher pathMatcher, Handler... requestHandlers) Routing.Builder.anyOf(Iterable<Http.Method> methods, String pathPattern, Handler... requestHandlers) Routing.Rules.anyOf(Iterable<Http.Method> methods, Handler... requestHandlers) Routes requests any specified method to provided handler(s).Routing.Rules.anyOf(Iterable<Http.Method> methods, PathMatcher pathMatcher, Handler... requestHandlers) Routes requests with any specified method and corresponding path to provided handler(s).Routing.Rules.anyOf(Iterable<Http.Method> methods, String pathPattern, Handler... requestHandlers) Routes requests with any specified method and corresponding path to provided handler(s).Constructors in io.helidon.reactive.webserver with parameters of type Http.MethodModifierConstructorDescriptionprotectedHttp1Route(Http.Method method, String path, Handler handler) Create a new route.protectedHttp1Route(PathMatcher pathMatcher, Handler handler, Http.Method... methods) Create a new route. -
Uses of Http.Method in io.helidon.reactive.webserver.http2
Methods in io.helidon.reactive.webserver.http2 with parameters of type Http.MethodModifier and TypeMethodDescriptionstatic Http2RouteHttp2Route.route(Http.Method method, String path, Handler handler) Create an HTTP/2 specific route.static Http2RouteHttp2Route.route(PathMatcher pathMatcher, Handler handler, Http.Method... methods) Create an HTTP/2 specific route.